CREATE OR REPLACE VIEW food600.scennik
 AS
 SELECT umisteni.c_karty,
    umisteni.id_kas,
    umisteni.id_man,
    umisteni.prn_no,
    umisteni.c_data
   FROM food600.umisteni
     JOIN food600.karty ON umisteni.c_data = karty.c_data AND umisteni.c_karty = karty.c_karty
UNION
 SELECT karty.c_karty,
    umdruhy.id_kas,
    umdruhy.id_man,
    umdruhy.prn_no,
    umdruhy.c_data
   FROM food600.umdruhy
     JOIN food600.karty ON umdruhy.c_data = karty.c_data AND umdruhy.c_druhk = karty.c_druhk
  WHERE btrim(karty.nazev1::text) <> 'xxx SMAZANO xxx'::text AND NOT (karty.c_karty::character(10)::text || umdruhy.id_kas::text IN ( SELECT umisteni.c_karty::character(10)::text || umisteni.id_kas::text
           FROM food600.umisteni));
